#include "methods.hh"
#include "parseargs.hh"
#include <cstdlib>
#include <ctime>
#include <iostream>

int main(int ac, char** av)
{
	std::srand(std::time(nullptr));
	auto const [input_file, output_file, iterations, method, cols, rows,
	            submethod, controlled_size, verbose]
	    = parse_args(ac, av);
	spdlog::set_level(verbose ? spdlog::level::debug : spdlog::level::info);
	spdlog::set_pattern("[thread %t] %+");
	spdlog::debug("Input file:\t{}", input_file.native());
	spdlog::debug("Output file:\t{}", output_file.native());
	spdlog::debug("Iterations:\t{}", iterations);

	ImageManipulator image_process{input_file, output_file, iterations};
	image_process.exec_method(method, controlled_size, cols, rows, submethod);
	image_process.write_file();
}
